Need help with knowte?
Click the “chat” button below for chat support from the developer who created it, or find similar developers for support.

About the developer

digimezzo
195 Stars 32 Forks GNU General Public License v3.0 796 Commits 21 Opened issues

Description

Cross platform note taking application

Services available

!
?

Need anything else?

Contributors list

# 172,042
video-d...
node
youtube...
C#
772 commits
# 458,434
Shell
coreaud...
wasapi
Haxe
1 commit
# 219,112
Vue.js
vue-cli
vue-cli...
Electro...
1 commit
# 196,006
D
tweak
wikiped...
Firefox
1 commit

Knowte

Knowte

Knowte is a note taking application that allows you to quickly and easily organize and find your notes. This version is written using Electron, Angular and Typescript. The original Knowte (for Windows), which is written in WPF and C#, remains available here.

Release Issues Donate

Buy Me a Coffee at ko-fi.com

Get it from the Snap Store

Screenshot

Knowte2screenshot

Build prerequisites

  • wine: required to build Windows package
  • rpm: required to build rpm package
  • libarchive-tools: contains bsdtar, which is required to build pacman package.

To install the prerequisites on Ubuntu:

sudo apt install wine rpm libarchive-tools

To install the prerequisites on Manjaro:

sudo pacman -S wine rpm-tools

Build instructions

$ git clone https://github.com/digimezzo/knowte.git
$ cd knowte
$ npm install            # Download dependencies
$ npm start              # Start Knowte
$ npm run electron:windows   # Build for Windows
$ npm run electron:linux     # Build for Linux
$ npm run electron:mac       # Build for Mac

Pacman installation notes

The pacman package contains a dependency to package libappindicator-sharp, which is no longer distributed with Arch Linux. I cannot remove this dependency for now, because it is an issue in electron-builder (the packaging tool which is used in this project). It is, however, possible to install Knowte on Arch Linux or Manjaro using this command (replace x.y.z with the correct version number):

$ sudo pacman -U Knowte-x.y.z.pacman --assume-installed libappindicator-sharp

We use cookies. If you continue to browse the site, you agree to the use of cookies. For more information on our use of cookies please see our Privacy Policy.